### Method

# Gtk Constraint get_source

#### Declaration [src]

    GtkConstraintTarget*
    gtk_constraint_get_source (
      GtkConstraint* constraint
    )

#### Description [src]

Retrieves the `GtkConstraintTarget` used as the source for the constraint.

If the source is set to `NULL` at creation, the constraint will use the widget using the `GtkConstraintLayout` as the source.

Gets property | `Gtk.Constraint:source`

#### Return value

Returns: | `GtkConstraintTarget`
| The source of the constraint.
| The data is owned by the instance.
| The return value can be `NULL`.